function E0090()
    MNA()CMU("CS_LastCave")InitMapLayer()FAI(0)
end
function E0091()
    MNA()CMU("CS_LastCave")InitMapLayer()FAI(1)
end
function E0092()
    MNA()CMU("CS_LastCave")InitMapLayer()FAI(2)
end
function E0093()
    MNA()CMU("CS_LastCave")InitMapLayer()FAI(3)
end
function E0094()
    MNA()CMU("CS_LastCave")InitMapLayer()FAI(4)
end

function InitMapLayer()
    DNP("InitMapLayer")
    if(DIF() == 0) then
        CMP("cmpLayer1","mainLayer")
    end
end

function GoCave()
    PRI()FAO(3)TRA("CS_cave2","E0091",37,120)
end

function GoBracket()
    PRI()FAO(1)TRA("CS_bracket","E0093",5,112)
end

function PathLifeCapsule6()
    PRI()SOU("CS_022_chest_open")CMU("CS_Fanfale2")DNP("PathLifeCapsule6")FLP("PathLifeCapsule6")
    MS4("获得了 =生命胶囊= ！")WAI(160)NOD()RMU()
    MLP(5)
    CAT("\n生命值的上限增加了 5 点！")NOD()
end

function FightRedDemon()
    KEY()
    DNP("FightRedDemon")
    MM0()
    ANP("CameraH1","disable_focus")
    FON("Camera1")
    MOV(PLY())
    --左力场
    for i=60,62,1 do
        SNP("CS_forcefield",72,i,0,"mainLayer","Forcefield1")
    end
    --右力场
    for i=60,62,1 do
        SNP("CS_forcefield",97,i,0,"mainLayer","Forcefield1")
    end
    WAS()
    WAI(16)
    ANP("RedDemon","fight")
    BSL("RedDemon")
    CMU("CS_Gravity")
end

--击败了赤鬼
function RedDemon()
    FLP("RedDemon")
    CMU("CS_LastCave")
    DNP("Forcefield1")
    FOM()
    ANP("CameraH1","enable_focus")
end